﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous"/>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>Ejercicio 5</title>
	<style>
	main{
		font-style: italic;
		font-weight:bold;
		text-align:center;
		margin:0 auto;
	}
	
	.header{
		background-color:olive;
		height:40px;
		line-height:30px;
		border:4px solid white;
	}
	
	.numeros{
		background-color: blue;
		height:70px;
		line-height:60px;
		border:4px solid white;
	}
	
	.letras{
		background-color: silver;
		height:70px;
		line-height:60px;
		border:4px solid white;
	}
	
	.desktop{
		background-color: aqua;
		height:55px;
		line-height:45px;
		border:4px solid white;
	}
	
	.tablet{
		background-color: aqua;
		height:55px;
		line-height:45px;
		border:4px solid white;
	}
	
	.mobile{
		background-color: aqua;
		height:55px;
		line-height:45px;
		border:4px solid white;
	}
	
	.caras{
		background-color: orange;
		height:70px;
		line-height:60px;
		border:4px solid white;
	}
	
	.footer{
		background-color: olive;
		height:30px;
		line-height:20px;
		border:4px solid white;
	}
	
	</style>
</head>

<body>
	<main>
	<div class="container">
		<div class="row">
			<div class="col-12 col-sm-12 col-md-12 header">Header</div>
		</div>
		
		<div class="row">
			<div class="col-6 col-sm-3 col-md-3 offset-md-3 numeros">1</div>
			<div class="col-6 col-sm-3 col-md-3 numeros">2</div>
			<div class="d-sm-none d-md-block col-md-3 w-100"></div>
			<div class="col-6 col-sm-3 col-md-3 numeros">3</div>
			<div class="col-6 col-sm-3 offset-sm-0 col-md-3 offset-md-6 numeros">4</div>
		</div>
		
		<div class="row">
			<div class="d-none col-sm-12 d-sm-block d-md-none tablet">Tablet</div>
		</div>
		
		<div class="row">
			<div class="col-6 col-sm-3 col-md-3 order-md-4 letras">a</div>
			<div class="col-6 col-sm-3 col-md-3 order-md-3 letras">b</div>
			<div class="col-6 col-sm-3 col-md-3 order-md-2 letras">c</div>
			<div class="col-6 col-sm-3 col-md-3 order-md-1 letras">d</div>
		</div>
		
		<div class="row">
			<div class="d-none d-sm-none d-md-block col-md-12 desktop">Desktop</div>
		</div>
		
		<div class="row">
			<div class="col-12 d-block d-sm-none mobile">Mobile</div>
		</div>
		
		<div class="row">
			<div class="d-none d-sm-block col-sm-6 col-md-3 offset-md-3 caras">:(</div>
			<div class="col-12 col-sm-6 col-md-3 caras">:D</div>
		</div>
		
		<div class="row">
			<div class="d-none d-sm-block col-md-12 footer">Footer</div>
		</div>
	</div>
	</main>
</body>

</html>
